<!--
SPDX-FileCopyrightText: 2025 Helmholtz-Zentrum hereon GmbH

SPDX-License-Identifier: CC-BY-4.0
-->

(react-api)=

# React API Reference

This package exports three components:

- {func}`ModuleContainer <ModuleContainer.default>`: To render an entire DASF backend module
- {func}`ClassContainer <ClassContainer.default>`: To render a single class of a DASF backend module
- {func}`FunctionContainer <FunctionContainer.default>`: To render a single function of a DASF backend module.

## Components

```{toctree}
---
maxdepth: 1
---

base
module
class
function
```
