// SPDX-FileCopyrightText: 2025 Helmholtz-Zentrum hereon GmbH
//
// SPDX-License-Identifier: Apache-2.0

import { ReactElement } from 'react';

function OutputContainer({
  content,
  description,
}: {
  content: string;
  description?: string | ReactElement;
}) {
  return (
    <>
      <div>{description ? description : 'Output'}</div>

      <pre>{content}</pre>
    </>
  );
}

export default OutputContainer;
